unordered_set File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Typedefs

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_multiset
template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_set

## Detailed Description

This is a Standard C++ Library header.

Definition in file unordered_set.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 51 of file unordered_set.

## __glibcxx_want_associative_heterogeneous_erasure

#define __glibcxx_want_associative_heterogeneous_erasure

Definition at line 57 of file unordered_set.

## __glibcxx_want_associative_heterogeneous_insertion

#define __glibcxx_want_associative_heterogeneous_insertion

Definition at line 58 of file unordered_set.

## __glibcxx_want_containers_ranges

#define __glibcxx_want_containers_ranges

Definition at line 52 of file unordered_set.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 53 of file unordered_set.

## __glibcxx_want_generic_unordered_lookup

#define __glibcxx_want_generic_unordered_lookup

Definition at line 54 of file unordered_set.

## __glibcxx_want_node_extract

#define __glibcxx_want_node_extract

Definition at line 55 of file unordered_set.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 56 of file unordered_set.

## Typedef Documentation

## unordered_multiset

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_multiset

Definition at line 74 of file unordered_set.

## unordered_set

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_set

Definition at line 70 of file unordered_set.